=== tests/Makefile ===
include ../Makefile.conf

UNIPRINT=/usr/bin/uniprint

TXT=$(wildcard *.txt)
PS=$(subst .txt,.ps,$(TXT))
CPP=$(subst .txt,.cpp,$(TXT))

all: $(PS) $(CPP) rasterizerTest  toolTest
SLIBS=-L../addon -laddon -L../swidget -lswidget -L../swindow -lswindow -L../stoolkit  -lstoolkit $(ALL_LIBS)

%.ps: 
	$(UNIPRINT) -font Serif.ttf -font gulim.ttf -size 20 -hsize 0 -out $(patsubst %.cpp,%.ps,$@) < $(patsubst %.ps,%.txt,$@)

rasterizerTest: RasterizerTest.o 
	$(LD) -o rasterizerTest RasterizerTest.o $(SLIBS) 

toolTest: ToolTest.o 
	$(LD) -o toolTest ToolTest.o $(SLIBS) 

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

z.cpp: z.txt
	$(UNIPRINT) -font default -size 20 -hsize 0 -out $(patsubst %.cpp,%.ps,$@) < $(patsubst %.cpp,%.txt,$@)
	perl ps2cpp.pl <  $(patsubst %.cpp,%.ps,$@) > $@

%.cpp: %.txt
	perl ps2cpp.pl <  $(patsubst %.cpp,%.ps,$@) > $@


clean:
	rm -f *.o rasterizerTest toolTest

distclean:
	rm -f *.o rasterizerTest toolTest $(CPP)
