=== debian/changelog ===
yudit (3.0.9-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Refresh patches
  * debian/yudit-common.lintian-overredes
    - Ignore national-encoding warning since it should be as is.
  * debian/copyright
    - Fix copyright file, s/fonts-src/font-src/

 -- Hideki Yamane <henrich@debian.org>  Tue, 31 Jan 2023 15:17:51 +0900

yudit (3.0.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Set Standards-Version: 3.6.2
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Jan 2023 23:08:48 +0900
