## yudit 3.1.0

=== addon/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # In case you have those addons.
 #
 SYNTAX=../../syntax-1.6
-TRUETYPE=../../truetype-1.13
+TRUETYPE=../../truetype-1.14
 # yudit_sedy-0.7.2 had a bug on arm64
 YUDIT_SEDY=../../yudit_sedy-0.7.5
 
@@ -67,7 +67,7 @@
 	rm -rf syntax truetype yudit_sedy
 
 # In case you have WARNING: 'aclocal-1.13' is missing on your system.
-# in syntax, you sould touch these files in syntax-1.2/src/hunspell-1.3.0-cvs/
+# in syntax, you should touch these files in syntax-1.2/src/hunspell-1.3.0-cvs/
 # touch configure.ac aclocal.m4 configure Makefile.am Makefile.in
 # https://stackoverflow.com/questions/18769770/user-of-autotools-generated-tarball-gets-error-message-aclocal-1-13-command-no
 # We hope original timestamps are correc, so we copy with -pR
