=== bin/Makefile ===
all: 

#
# UNIDATA directory should have:
# UnicodeData.txt
# # Unihan.txt - obseleted eastasia wont be made
# BidiMirroring.txt
#
# Updated from 13.0.0 
VERSION=15.0.0
UNIROOT=/home/gsinai/Documents/Unicode/ftp.unicode.org/$(VERSION)

UNIDATA=$(UNIROOT)/ucd

# This has been removed. Dont make eastasia
MAPPINGS=$(UNIROOT)/MAPPINGS
#
# This is the target for unicode updates.
#
map: charclass bidiclass precompose1 mirror olditalic shape kmap braille

restricted: gcategory shape mirror precompose1 olditalic jis2000

charclass: $(UNIDATA)/UnicodeData.txt
	perl charclass.pl $(VERSION) $< > ../mytool/mys/charclass.mys

bidiclass: $(UNIDATA)/UnicodeData.txt
	perl bidiclass.pl $(VERSION) $< > ../mytool/mys/bidiclass.mys

precompose1: $(UNIDATA)/UnicodeData.txt
	perl precompose1.pl $(VERSION) $< > ../mytool/mys/precompose1.mys

mirror: $(UNIDATA)/BidiMirroring.txt
	perl mirroring.pl $(VERSION) $< > ../mytool/uni/mirroring.txt 

olditalic: $(UNIDATA)/UnicodeData.txt
	perl olditalic.pl $(VERSION) u $< > ../mytool/mys/OldItalic.mys

shape: $(UNIDATA)/UnicodeData.txt
	./shape.pl $(VERSION) $< > ../mytool/mys/shape.mys 2> /dev/null

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 

Emoji: Emoji.txt
	./simplemys.pl $< > ../mytool/mys/Emoji.mys

braille:
	perl kmap/braille_Japanese.pl > ../mytool/kmap/BrailleJapanese.kmap
	perl kmap/braille_Hungarian.pl > ../mytool/kmap/BrailleHungarian.kmap
	perl kmap/braille_English.pl > ../mytool/kmap/BrailleEnglish.kmap
	perl kmap/braille_European.pl > ../mytool/kmap/BrailleEuropean.kmap
#
# This will create eastasia - that is obsolete
# JIS0201.TXT can not be calculated....
#
eastasia: $(UNIDATA)/Unihan.txt
	cp  $(MAPPINGS)/OBSOLETE/EASTASIA/JIS/JIS0201.TXT  MAPPINGS
	./eastasia.pl --dir MAPPINGS  $<

# CP949.TXT stripped will make KSC5601.TXT - this has nothing
# to do with KSC5601 but I will still keep it.
# 
korean:
	wget http://jshin.net/faq/KSX1001.TXT.gz
	wget http://jshin.net/faq/JOHAB.TXT.gz
	gunzip KSX1001.TXT.gz
	gunzip JOHAB.TXT.gz
	mv KSX1001.TXT MAPPINGS
	mv JOHAB.TXT MAPPINGS
	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT

clean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

veryclean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*
