=== tests/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PS=$(subst .txt,.ps,$(TXT))
 CPP=$(subst .txt,.cpp,$(TXT))
 
-all: $(PS) $(CPP) rasterizerTest  toolTest
+all: rasterizerTest  toolTest
 SLIBS=-L../addon -laddon -L../swidget -lswidget -L../swindow -lswindow -L../stoolkit  -lstoolkit $(ALL_LIBS)
 
 %.ps:
