=== debian/changelog ===
yudit (3.1.0-1) unstable; urgency=medium

  * New upsstream release
  * Drop debian/patches: merged upstream
  * debian/yudit-common.install
    - Install png icon files

 -- Hideki Yamane <henrich@debian.org>  Mon, 13 Feb 2023 17:10:09 +0900
