=== debian/control ===
Source: yudit
Section: editors
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 13), x11proto-core-dev, libx11-dev, gettext
Standards-Version: 4.6.2
Homepage: https://www.yudit.org
Vcs-Browser: https://salsa.debian.org/debian/yudit
Vcs-Git: https://salsa.debian.org/debian/yudit.git

Package: yudit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
Recommends: unifont, gv, libhunspell-1.7-0, hunspell-en-us | hunspell-dictionary
Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
Description: Unicode text editor (arch-dependent binaries)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.

Package: yudit-common
Architecture: all
Depends: ${misc:Depends}
Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
Multi-Arch: foreign
Description: Unicode text editor (arch-independent files)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
 .
 This package contains the arch-independent files in /usr/share.

Package: yudit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Unicode text editor (Documentation)
 The unicode editor "yudit" has got a big documentation in lots of languages.
 After the installation, the documentation will be available in:
 /usr/share/doc/yudit-doc/
