=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-x \
			     --x-includes=/usr/include/X11 \
			     --x-libraries="/usr/lib/lib64,/usr/lib/lib32,/usr/lib/lib"

override_dh_compress:
	dh_compress -XHOWTO -XFAQ
